Cool Solution 4.2. Hinweis vor Update

german
cool-solution

#1

Hallo zusammen,
ich versuche gerade zu ergründen, was dieser hinweis vor dem Update 4.2.0 Errata 25 auf 4.2.1 Errata 52 zu sagen hat. Ist dieser Hinweis vor dem getätigten Update normal?

To continue please set the UCR-Variable 'update/cool-solutions/ucs42' to 'yes'. Error: Update aborted by pre-update script of component cool-solutions before calling release script

Danke Euch


#2

Es handelt sich huer um eine Sicherheitsabfrage. Du hast das Repository cool-solutions aktiviert. Vor dem Upgrade solltest du dich daher vergewissern, daß alle Cool-Soultions, die du momentan einsetzt, auch für UCS 4.2 gibt. Gegebenenfalls kannst du nicht mehr benötigte auch entfernen.

Danach, wenn alles in Ordnung ist kannst du mit dem Upgrade fortfahren. Vorher mußt du noch die UCR-Variable setzen:

ucr set update/cool-solutions/ucs42='yes'

Falls du keine Cool-Solutions mehr einsetzt, kannst du stattdessen das Repository über die UMC entfernen.

EDIT: ich hab überlesen, daß du schon bei 4.2 bist. Daher sollten deine Coolsolutions weiterhin funktionieren.


#3

You skipped quoting the two paragraphs above, which explain the situation:

You have a cool solution repository integrated.

Please check http://wiki.univention.de/index.php?title=Category:Cool_Solutions
if the Cool Solution is already available for UCS 4.2-0.

Nevertheless we changed the check to show the message only during the update to UCS-4.2-0 (and not later).


#4

Weird that the message comes know again…isn’t it and the process for the errata Update stoped then.


#5

Updating from 4.2-0 to 4.2-1 is a (patch-level) release-update - therefore that message.
And as you obviously hadn’t set the UCR variable, it stopped there.